Identity, people & notifications

Notification List

Returns a cursor-paginated notification feed for the caller role, optionally unread only.

POSThttps://api.toku.com/platform/notification-list

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/platform/notification-list' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "limit": 0,
  "cursor": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "unreadOnly": true
}'
200 response
{
  "items": [
    {
      "roleNotificationID": "string",
      "readAt": "string",
      "createdAt": "string",
      "event": {
        "notificationEventID": "string",
        "eventType": "string",
        "actorRoleInOrgID": "string",
        "groupKey": "string",
        "targetEntityID": "string",
        "targetEntityType": "string",
        "display": {
          "title": "string",
          "href": "string"
        },
        "createdAt": "string"
      }
    }
  ],
  "nextCursor": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

approvalOnlyany
limitinteger

Allowed: 1 to 50

cursorstring<uuid> | string
unreadOnlyboolean

Response

200Successful response
itemsobject[]required
Show child attributes
roleNotificationIDstringrequired
readAtstring | nullrequired
createdAtstringrequired
eventobjectrequired
Show child attributes
notificationEventIDstringrequired
eventTypestringrequired
actorRoleInOrgIDstring | nullrequired
groupKeystring | nullrequired
targetEntityIDstring | nullrequired
targetEntityTypestring | nullrequired
payloadanyrequired
displayobject
Show child attributes
titlestringrequired
hrefstring | nullrequired
createdAtstringrequired
nextCursorstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits